gnutls_pkcs11_privkey_import_url(3)

NAME
gnutls_pkcs11_privkey_import_url - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_privkey_import_url(gnutls_pkcs11_privkey_t pkey, const char * url, unsigned int flags);

ARGUMENTS

gnutls_pkcs11_privkey_t pkey
    The structure to store the parsed key

const char * url
    a PKCS 11 url identifying the key

unsigned int flags
    Or sequence of GNUTLS_PKCS11_OBJ_* flags

DESCRIPTION
This function will "import" a PKCS 11 URL identifying a private key to the gnutls_pkcs11_privkey_t structure. In reality since in most cases keys cannot be exported, the private key structure is being associated with the available operations on the token.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/